Bug 158917 - attempting to define a service already defined will backtrace
attempting to define a service already defined will backtrace
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-26 16:38 EDT by Corey Marthaler
Modified: 2009-04-16 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 11:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-05-26 16:38:15 EDT
Description of problem:
services should have enforcement of unique names just like every other thing.

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 1374, in
on_svc_add_ok
    self.errorMessage(UNIQUE_SERVICE_NAME % svc_name)
NameError: global name 'UNIQUE_SERVICE_NAME' is not defined


Version-Release number of selected component (if applicable):
-64
Comment 1 Stanko Kupcevic 2005-05-26 17:01:39 EDT
Fixed in 0.9.66
Comment 2 Corey Marthaler 2005-05-31 11:36:05 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.